org.eclnt.jsfserver.elements.componentnodes

## Class HTLINKNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTLINKNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTLINKNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTLINKNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTLINKNode` | `bindActionListener(IActionListenerDelegation value)`
    `HTLINKNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindText(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindValign(IDynamicContentBindingObject value)`
    `HTLINKNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTLINKNode` | `setActionListener(java.lang.String value)`
    `HTLINKNode` | `setAttributemacro(java.lang.String value)`
    `HTLINKNode` | `setComment(java.lang.String value)`
    `HTLINKNode` | `setConfiginfo(java.lang.String value)`
    `HTLINKNode` | `setEnabled(boolean value)`
    `HTLINKNode` | `setEnabled(java.lang.String value)`
    `HTLINKNode` | `setId(java.lang.String value)`
    `HTLINKNode` | `setReference(java.lang.String value)`
    `HTLINKNode` | `setRendered(boolean value)`
    `HTLINKNode` | `setRendered(java.lang.String value)`
    `HTLINKNode` | `setRequestfocus(java.lang.String value)`
    `HTLINKNode` | `setRequestfocushotkey(java.lang.String value)`
    `HTLINKNode` | `setStyle(java.lang.String value)`
    `HTLINKNode` | `setStyleClass(java.lang.String value)`
    `HTLINKNode` | `setStylevariant(java.lang.String value)`
    `HTLINKNode` | `setText(java.lang.String value)`
    `HTLINKNode` | `setValign(java.lang.String value)`
    `HTLINKNode` | `setWidth(int value)`
    `HTLINKNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTLINKNode

          public HTLINKNode()

  - ### Method Detail

    - #### setId

          public HTLINKNode setId(java.lang.String value)

    - #### setActionListener

          public HTLINKNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public HTLINKNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public HTLINKNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTLINKNode setComment(java.lang.String value)

    - #### bindComment

          public HTLINKNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTLINKNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTLINKNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public HTLINKNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public HTLINKNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public HTLINKNode setEnabled(boolean value)

    - #### setReference

          public HTLINKNode setReference(java.lang.String value)

    - #### setRendered

          public HTLINKNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTLINKNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTLINKNode setRendered(boolean value)

    - #### setRequestfocus

          public HTLINKNode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public HTLINKNode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public HTLINKNode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public HTLINKNode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setStyle

          public HTLINKNode setStyle(java.lang.String value)

    - #### bindStyle

          public HTLINKNode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTLINKNode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTLINKNode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTLINKNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTLINKNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public HTLINKNode setText(java.lang.String value)

    - #### bindText

          public HTLINKNode bindText(IDynamicContentBindingObject value)

    - #### setValign

          public HTLINKNode setValign(java.lang.String value)

    - #### bindValign

          public HTLINKNode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public HTLINKNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTLINKNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTLINKNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.